> ## Documentation Index
> Fetch the complete documentation index at: https://steamgold.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Получение корзины

> Возвращает детальную информацию о корзине и содержащихся в ней намерениях



## OpenAPI

````yaml GET /pouch/{pouchId}
openapi: 3.0.1
info:
  title: OpenAPI SteamGold
  description: Is used for steamgold API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.steamgold.dev/v1
security:
  - bearerAuth: []
paths:
  /pouch/{pouchId}:
    get:
      tags:
        - Pouch
      description: >-
        Возвращает детальную информацию о корзине и содержащихся в ней
        намерениях
      operationId: getPouch
      parameters:
        - name: pouchId
          in: path
          description: ID корзины
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Информация о корзине
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    example: 200
                  pouchStatus:
                    type: string
                    description: Статус корзины
                    enum:
                      - open
                      - closed
                      - delivered
                      - failed
                    example: open
                  intents:
                    type: array
                    description: Список намерений в корзине
                    items:
                      type: object
                      properties:
                        intentId:
                          type: string
                          description: ID намерения
                          example: 5f4d3fc4a1f6c80017e7b7d2
                        verification:
                          type: string
                          description: Статус верификации
                          enum:
                            - pending
                            - verified
                            - rejected
                            - fraud
                          example: verified
                        deliveryStatus:
                          type: string
                          description: Статус доставки
                          enum:
                            - created
                            - pending
                            - in_review
                            - retrying
                            - delivered
                            - failed
                          example: created
                        deliveryId:
                          type: string
                          description: ID доставки
                          example: delivery_12345
                        intentAmount:
                          type: number
                          description: Сумма намерения
                          example: 500
                        intentCurrency:
                          type: string
                          description: Валюта намерения
                          example: RUB
                        paymentAmount:
                          type: number
                          description: Сумма к оплате по намерению
                          example: 500
                        treasure:
                          type: object
                          properties:
                            type:
                              type: string
                              description: Тип сокровища
                              example: gold
                            platform:
                              type: string
                              description: Платформа
                              example: steam
                            item:
                              type: string
                              description: Предмет
                              example: 1000_gold_coins
                            title:
                              type: string
                              description: Название
                              example: 1000 золотых монет
                  paymentStatus:
                    type: string
                    description: Статус оплаты корзины
                    enum:
                      - created
                      - pending
                      - paid
                      - rejected
                      - canceled
                      - refunded
                      - expired
                    example: created
                  paymentAmount:
                    type: number
                    description: Сумма к оплате
                    example: 1000
                  paymentCurrency:
                    description: Валюта оплаты
                    type: string
                    example: RUB
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    Error:
      required:
        - code
        - message
      type: object
      properties:
        code:
          description: HTTP-код ответа
          type: integer
          format: int32
        message:
          description: Сообщение об ошибке
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````